summaryrefslogtreecommitdiff
path: root/utils/lib_sxng_data.sh
diff options
context:
space:
mode:
authormg95 <git@esen.gay>2026-01-11 17:21:01 +0200
committerGitHub <noreply@github.com>2026-01-11 16:21:01 +0100
commitcf74e1d9e9ad662aef450ddd79aedee43554dc3c (patch)
tree4848c9fbcd31c254d14705d47328b2c534781e32 /utils/lib_sxng_data.sh
parent44405bd03c14bd62bc68f39dfca7b5d56a97eb14 (diff)
[fix] google: switch to using GSA for iPhone useragentHEADmaster
Diffstat (limited to 'utils/lib_sxng_data.sh')
-rwxr-xr-xutils/lib_sxng_data.sh18
1 files changed, 13 insertions, 5 deletions
diff --git a/utils/lib_sxng_data.sh b/utils/lib_sxng_data.sh
index 550357fcd..96a109484 100755
--- a/utils/lib_sxng_data.sh
+++ b/utils/lib_sxng_data.sh
@@ -4,11 +4,12 @@
data.help() {
cat <<EOF
data.:
- all : update searx/sxng_locales.py and searx/data/*
- traits : update searx/data/engine_traits.json & searx/sxng_locales.py
- useragents: update searx/data/useragents.json with the most recent versions of Firefox
- locales : update searx/data/locales.json from babel
- currencies: update searx/data/currencies.json from wikidata
+ all : update searx/sxng_locales.py and searx/data/*
+ traits : update searx/data/engine_traits.json & searx/sxng_locales.py
+ useragents : update searx/data/useragents.json with the most recent versions of Firefox
+ gsa_useragents: update searx/data/gsa_useragents.txt with compatible useragents
+ locales : update searx/data/locales.json from babel
+ currencies : update searx/data/currencies.json from wikidata
EOF
}
@@ -19,6 +20,7 @@ data.all() {
pyenv.activate
data.traits
data.useragents
+ data.gsa_useragents
data.locales
build_msg DATA "update searx/data/osm_keys_tags.json"
@@ -53,6 +55,12 @@ data.useragents() {
dump_return $?
}
+data.gsa_useragents() {
+ build_msg DATA "update searx/data/gsa_useragents.txt"
+ pyenv.cmd python searxng_extra/update/update_gsa_useragents.py
+ dump_return $?
+}
+
data.locales() {
(
set -e